# @customhooks/use-network

React Hook to listen when the user goes online or offline.

## Installaction

```bash
npm install @customhooks/use-network
```

or

```bash
yarn add @customhooks/use-network
```

## Usage

`useNetwork()` have a one argument like this :  
`useNetwork(onChange)`

> `onChange` is must be function.

```jsx
import React from "react";
import useNetwork from "@nooks/use-network";

function App() {
    const onNetworkChange = (isOnline) => {
        console.log(isOnline ? "Online Now" : "Offline Now");
    };
    const isOnline = useNetwork(onChange);
    return <h1>{isOnline ? "Online" : "Offline"}</h1>;
}
```
