import { useState, useEffect } from "react";

export const useNetwork = (onChange) => {
    const [status, setStatus] = useState(navigator.onLine || true);

    const changeNetwork = () => {
        onChange(navigator.onLine);
        setStatus(navigator.onLine);
    };

    useEffect(() => {
        window.addEventListener("online", changeNetwork);
        window.addEventListener("offline", changeNetwork);
        () => {
            window.removeEventListener("online", changeNetwork);
            window.removeEventListener("offline", changeNetwork);
        };
    }, []);

    return status;
};
